NAMEI(1)

NOMBRE
namei - seguir una trayectoria hasta encontrar un punto terminal

SINOPSIS

namei [opciones] ruta...

DESCRIPCIÓN

namei interpreta sus argumentos como rutas hacia cualquier tipo de fichero Unix (enlaces simbólicos, ficheros, directorios, etc.). A continuación, sigue cada ruta hasta encontrar un punto terminal (un fichero, directorio, un nodo de un dispositivo, etc.). Si encuentra un enlace simbólico, muestra el enlace y comienza a seguirlo, sangrando la salida para mostrar el contexto.

Este programa es útil para encontrar problemas del tipo "too many levels of symbolic links" ("demasiados niveles de enlaces simbólicos").

Para cada línea de la salida, namei utiliza los siguientes caracteres para identificar el tipo de ficheros encontrados:

       f: = ruta que actualmente se está intentando resolver
        d = directorio
        l = enlace simbólico (se muestran tanto el enlace como su contenido)
        s = socket
        b = dispositivo de bloque
        c = dispositivo de caracteres
        p = FIFO (tubería con nombre)
        - = fichero regular
        ? = error de algún tipo

namei imprime un mensaje informativo cuando el número máximo de enlaces simbólicos de ese sistema se ha excedido.

OPCIONES

-l, --long
    Utiliza el formato de lista largo (igual que -m -o -v).

-m, --modes
    Mostrar los bits de modo para cada tipo de fichero en el estilo de ls(1), por ejemplo 'rwxr-xr-x'.

-n, --nosymlinks
    No sigue los enlaces simbólicos.

-o, --owners
    Muestra el nombre del propietario y del grupo de cada fichero.

-v, --vertical
    Alinea verticalmente los modos y los propietarios.

-x, --mountpoints
    Muestra directorios que son puntos de montaje con una 'D', en vez de con una 'd'.

-Z, --context
    Show security context of the file or "?" if not available. The support for security contexts is optional and does not have to be compiled to the namei binary.

-h, --help
    Mostrar texto de ayuda y finalizar.

-V, --version
    Print version and exit.

ERRORES

A ser descubiertos.

AUTORES

El programa original namei fue escrito por

El programa fue reescrito por Karel Zak

VÉASE TAMBIÉN

ls(1), stat(1), symlink(7)

INFORMAR DE ERRORES

For bug reports, use the issue tracker at

DISPONIBILIDAD

La orden namei forma parte del paquete util-linux, el cual puededescargarse de